public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/gitlabform/
Date: Sun, 16 Dec 2018 12:47:30 +0000 (UTC)	[thread overview]
Message-ID: <1544964403.43b3e2a7d925425e11cb627ecfb899d674da8455.mrueg@gentoo> (raw)

commit:     43b3e2a7d925425e11cb627ecfb899d674da8455
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 16 12:46:43 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Dec 16 12:46:43 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43b3e2a7

dev-python/gitlabform: Initial version

Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>
Package-Manager: Portage-2.3.52, Repoman-2.3.11

 dev-python/gitlabform/Manifest                |  1 +
 dev-python/gitlabform/gitlabform-1.0.3.ebuild | 37 +++++++++++++++++++++++++++
 dev-python/gitlabform/metadata.xml            | 10 ++++++++
 3 files changed, 48 insertions(+)

diff --git a/dev-python/gitlabform/Manifest b/dev-python/gitlabform/Manifest
new file mode 100644
index 00000000000..efbdc23529f
--- /dev/null
+++ b/dev-python/gitlabform/Manifest
@@ -0,0 +1 @@
+DIST gitlabform-1.0.3.tar.gz 19248 BLAKE2B 6ed3c38173e6202b5c76061416e5e4508be91ee8efebbe9af0d3131d3500fdcf79fab5caadca07076cb24a69fe3d5ac796418a31f00dd9b8de2c4de9b2340bd1 SHA512 8e79f584af9c5dadba0c1b92cf44214695f07e8e2e4eb1c81632c2aadfee7849d5e65c8a0f8f358864a34dce4f059570eda378db8700fae2c3b443d1af785c21

diff --git a/dev-python/gitlabform/gitlabform-1.0.3.ebuild b/dev-python/gitlabform/gitlabform-1.0.3.ebuild
new file mode 100644
index 00000000000..a3edec3e8a4
--- /dev/null
+++ b/dev-python/gitlabform/gitlabform-1.0.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy configuration as code tool for GitLab using config in plain YAML"
+HOMEPAGE="https://github.com/egnyte/gitlabform"
+SRC_URI="https://github.com/egnyte/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+	>=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		${RDEPEND}
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)
+"
+
+python_prepare_all() {
+	sed -i -e "/pypandoc/d" -e "/long_description/d" setup.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	pytest -vv || die "Tests failed with ${EPYTHON}"
+}

diff --git a/dev-python/gitlabform/metadata.xml b/dev-python/gitlabform/metadata.xml
new file mode 100644
index 00000000000..62fff33a16d
--- /dev/null
+++ b/dev-python/gitlabform/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>python@gentoo.org</email>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">egnyte/gitlabform</remote-id>
+	</upstream>
+</pkgmetadata>


             reply	other threads:[~2018-12-16 12:47 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-12-16 12:47 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-01-02 14:09 [gentoo-commits] repo/gentoo:master commit in: dev-python/gitlabform/ Manuel Rüger
2019-01-22 14:13 Manuel Rüger
2019-04-25 11:47 Manuel Rüger
2019-04-25 11:47 Manuel Rüger
2019-06-06 22:29 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1544964403.43b3e2a7d925425e11cb627ecfb899d674da8455.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox